#!/bin/sh

# crons
REFRESH=3600

# metadata
MD=/var/db/metadata-idps.xml
MDSP=/var/db/metadata-sps.xml

# whitelist
WL=/var/db/whitelist.txt

# file to source (build by rc.d/univnautes_config.sh at boot
#                 and updated by webgui)
VARS=/var/lib/univnautes/vars.sh

# wait for $VARS to be created (first boot)
for i in 10 9 8 7 6 5 4 3 2 1
do
	if [ -r $VARS ]
	then
		sleep 1
		break
	fi
	sleep 1
done

if [ -r $VARS ]
then
	. $VARS
else
	logger -p daemon.info -t univnautes.conf "ERROR: $VARS does not exist or is not readable"
fi

